be.ehealth.businessconnector.mediprimauma.session

## Interface MediprimaUmaService

- All Known Implementing Classes:
    MediprimaUmaServiceImpl

      public interface MediprimaUmaService

  interface with the methods of the MediPrima UMA webservice.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteUrgentMedicalAidAttestationResponse` | `deleteUrgentMedicalAidAttestation(DeleteUrgentMedicalAidAttestationRequest request)`
    `SearchUrgentMedicalAidAttestationResponse` | `searchUrgentMedicalAidAttestation(SearchUrgentMedicalAidAttestationRequest request)`
    `SendUrgentMedicalAidAttestationResponse` | `sendUrgentMedicalAidAttestation(SendUrgentMedicalAidAttestationRequest request)`

- - ### Method Detail

    - #### deleteUrgentMedicalAidAttestation

          DeleteUrgentMedicalAidAttestationResponse deleteUrgentMedicalAidAttestation(DeleteUrgentMedicalAidAttestationRequest request)
                                                                               throws TechnicalConnectorException,
                                                                                      MediprimaUmaDeleteException

      Throws:
        `TechnicalConnectorException`
        `MediprimaUmaDeleteException`

    - #### searchUrgentMedicalAidAttestation

          SearchUrgentMedicalAidAttestationResponse searchUrgentMedicalAidAttestation(SearchUrgentMedicalAidAttestationRequest request)
                                                                               throws TechnicalConnectorException,
                                                                                      MediprimaUmaSearchException

      Throws:
        `TechnicalConnectorException`
        `MediprimaUmaSearchException`

    - #### sendUrgentMedicalAidAttestation

          SendUrgentMedicalAidAttestationResponse sendUrgentMedicalAidAttestation(SendUrgentMedicalAidAttestationRequest request)
                                                                           throws TechnicalConnectorException,
                                                                                  MediprimaUmaSendException

      Throws:
        `TechnicalConnectorException`
        `MediprimaUmaSendException`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.